Loading...

Knowledge Center


Endpoint Security Common platform module fails to install
Technical Articles ID:   KB88994
Last Modified:  5/26/2017
Rated:


Environment

McAfee Endpoint Security (ENS) Common platform module 10.5.x, 10.2.x

Problem

Installation of the ENS Common platform module fails with the following error messages generated in the log files.

NOTE: The error message described contains a typographic error, but it is reproduced to show how the message actually appears in the product.


Example error messages in McAfee_Common_Bootstrapper_XXXXXXXX.log:
 
20/03/2017 10:44:48.600 [3284] [BootstrapperMain] "C:\Windows\TEMP\MfeEpAac.exe" -add -rootlocation "C:\Program Files\McAfee\Endpoint Security" -rootlocation "C:\Program Files (x86)\McAfee\Endpoint Security" -folder "C:\ProgramData\McAfee\Endpoint Security"
20/03/2017 10:44:48.700 [3284] [BootstrapperMain] PROCESS return code : 5
20/03/2017 10:44:48.702 [3284] [BootstrapperMain] Running application to gain installer exclusion failed : 5
20/03/2017 10:44:48.702 [3284] [BootstrapperMain] Could not gain required AAC privileges to proceed further! Aborting install!!

Example error messages in McAfee_MfeEpAac_XXXXXXX.log:
 
03-20 10:44:48 [01444] args: valid=0x00000001 add=True DelContent=False:
03-20 10:44:48 [01444] Parent is not Installer, LastErr 0x00000005 Access denied 
03-20 10:44:48 [01444] ValidateModuleReport failed for C:\PROGRA~2\NetInst\NiAMH.dll, entry=false
03-20 10:44:48 [01444] VerifyParentEntryPointIsMcAfeeSigned: VerifyProcess PID[1424] LastErr 0x00000005 Access denied
03-20 10:44:48 [01444] Parent is McAfee so install can contiune
03-20 10:44:48 [01444] Could not connect to AAC LastErr 0x00000005 Access denied LastErr 0x00000005 Access denied
03-20 10:44:48 [01444] Exit: LastErr 0x00000005 Access denied

NiAMH.dll or Nia64.dll library validation fails even if it is signed with a valid certificate.

Cause

The mentioned dlls are signed in an unusual and possibly outdated manner. The signing method for the dlls does not comply with RFC 5280 (see https://www.ietf.org/rfc/rfc5280.txt) in the PKIX Certificate and CRL Profile that is required for ENS 10.5.x and 10.2.x to be able to validate the certificate.

Solution

This issue is resolved in Endpoint Security 10.5.2, which is available from the Product Downloads site at: http://mcafee.com/us/downloads/downloads.aspx.

NOTE: You need a valid Grant Number for access. KB56057 provides additional information about the Product Downloads site, and alternate locations for some products.

Updates are cumulative; Technical Support recommends that you install the latest one.

Rate this document

Beta Translate with

Select a desired language below to translate this page.

Languages:

This article is available in the following languages:

English United States
Spanish Spain
Japanese

Glossary of Technical Terms


 Highlight Glossary Terms

Please take a moment to browse our Glossary of Technical Terms.